Bug 718899 - DHCP Failover log
DHCP Failover log
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: dhcp (Show other bugs)
14
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Jiri Popelka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-04 23:17 EDT by Maurice James
Modified: 2012-07-23 12:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-23 12:57:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Maurice James 2011-07-04 23:17:20 EDT
Description of problem:
message log is reporting "no matching state"

Version-Release number of selected component (if applicable):
4.2.0

How reproducible:
Consistent. Log prints error every 5 seconds.
Interval is set to "load balance max seconds 5"

Steps to Reproduce:
1.Run both primary and secondary dhcp servers
2.
3.
  
Actual results:
Jul  4 23:13:51 whitebox dhcpd: failover: listener: no matching state
Jul  4 23:13:56 whitebox dhcpd: failover: listener: no matching state
Jul  4 23:14:01 whitebox dhcpd: failover: listener: no matching state
Jul  4 23:14:06 whitebox dhcpd: failover: listener: no matching state
Jul  4 23:14:11 whitebox dhcpd: failover: listener: no matching state
Jul  4 23:14:16 whitebox dhcpd: failover: listener: no matching state
Jul  4 23:14:21 whitebox dhcpd: failover: listener: no matching state
Jul  4 23:14:26 whitebox dhcpd: failover: listener: no matching state


Expected results:


Additional info:
Primary server config:
failover peer "dhcp-failover" {
  primary;
  address 172.16.0.3;
  port 647;
  peer address 172.16.0.4;
  peer port 647;
  max-response-delay 60;
  max-unacked-updates 10;
  load balance max seconds 5;
  mclt 1800;
  split 128;
}

Secondary server config:
failover peer "dhcp-failover" {
  secondary;
  address 172.16.0.4;
  port 647;
  peer address 172.16.0.3;
  peer port 647;
  max-response-delay 60;
  max-unacked-updates 10;
  load balance max seconds 5;
  mclt 1800;
}



Servers have no firewall and SELinux is disabled. DHCP is functioning but constant log entries are a problem
Comment 1 Jiri Popelka 2011-07-07 04:55:49 EDT
I've searched through the dhcp-users mailing list but
have found only this question (quite old with no answer).
https://lists.isc.org/mailman/htdig/dhcp-users/2008-June/006634.html
Comment 2 Maurice James 2011-10-10 09:00:30 EDT
was there any movement on this?
Comment 3 Jiri Popelka 2011-10-10 13:18:06 EDT
I'm sorry. There's not much I can do with this problem. I'm not able to reproduce it and I didn't find this problem mentioned in any mailing list.

Probably the best you can do is post your question on dhcp-users mailing list.
https://lists.isc.org/mailman/listinfo/dhcp-users
Comment 4 Jiri Popelka 2012-07-23 12:57:46 EDT
Fedora 14 reached it's end-of-life some time ago. Sorry, I couldn't help.

Note You need to log in before you can comment on or make changes to this bug.